%define major 14
%define libname %mklibname fm-qt %{major}
%define devname %mklibname fm-qt -d

Name: 		libfm-qt
Version: 	1.4.0
Release: 	%mkrel 1
Source0: 	http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: 	Libraries for the LXQt desktop
URL: 		http://lxqt.org/
License:  	LGPLv2.1
Group: 		System/Libraries
#----------------------------------------
BuildRequires: 	cmake
BuildRequires: 	%{_lib}qt5widgets-devel
BuildRequires: 	%{_lib}qt5help-devel
BuildRequires: 	%{_lib}qt5x11extras-devel
BuildRequires: 	%{_lib}menu-cache-devel
BuildRequires:	%{_lib}lxqt-devel >= 1.4.0
BuildRequires:	%{_lib}exif12-devel
BuildRequires:  lxqt-build-tools >= 0.13.0
BuildRequires:  lxqt-menu-data-devel >= 1.4.1


%description
Libraries for the LXQt desktop

%package -n %{libname}
Summary: 	Libraries for the LXQt desktop
Group: 	 	System/Libraries
Provides:	libfm-qt = %version
Obsoletes:	libfm-qt <= %version
Obsoletes:	%{_lib}fm-qt13 <= %version


%description -n %{libname}
Libraries for the LXQt desktop

%package -n %{devname}
Summary: 	Development files for %{name}
Group: 		Development/Libraries
Requires: 	%libname = %version-%{release}
Provides: 	%name-devel = %version-%release
Provides: 	lib%name-devel = %version-%release
Obsoletes: 	%{_lib}libfm-qt-devel <= %version-%release

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q %{name}-%{version}
%cmake_qt5

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%{_datadir}/%{name}/*.list
%{_datadir}/mime/packages/%{name}-mimetypes.xml
%{_datadir}/%{name}/translations/%{name}_*.qm

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/fm-qt


%changelog
* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Tue Jan 03 2023 daniel - 1.2.1-1pclos2023
- 1.2.1

* Sat Nov 05 2022 daniel - 1.2.0-1pclos2022
- 1.2.0

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Fri Apr 16 2021 daniel <> 0.17.1-1pclos2021
- 0.17.1

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.1-2pclos2020
- rebuild against updates

* Wed May 20 2020 daniel <meisssw01 at gmail.com> 0.15.1-1pclos2020
- 0.15.1
 
* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Fri Aug 03 2018 daniel <meisssw01 at gmail.com> 0.13.1-2pclos2018
- rebuild

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.13.1-1pclos2018
- update

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Sun Jan 01 2017 daniel <meisssw01 at gmail.com> 0.11.2-2pclos2017
- rebuild with latest libfm-devel

* Wed Dec 21 2016 daniel <meisssw01 at gmail.com> 0.11.2-1pclos2017
- update 

* Thu Dec 08 2016 daniel <meisssw01 at gmail.com> 0.11.1-2pclos2016
- rebuild for pcmanfm-qt

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.1-1pclos2016
- 0.11.1
+ add liblxqt-devel 

* Thu Apr 07 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-2pclos2016
- fix library names

* Tue Mar 01 2016 daniel <meisssw01 at gmail.com> 0.11.0-1pclos2016
- import into pclos
